euca-register calls register_image with too few parameters

Bug #516297 reported by Garrett Holmstrom on 2010-02-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Eucalyptus
Won't Fix
Undecided
Unassigned
euca2ools (Ubuntu)
Undecided
Unassigned

Bug Description

Line 85 of euca-register calls register_image, which requires one positional parameter, with none.

def register_image(self, name, description=None, image_location=None,
                       architecture=None, kernel_id=None, ramdisk_id=None,
                       root_device_name=None, block_device_map=None):

Neil Soman (neilsoman) wrote :

Please see:

http://code.google.com/p/boto/source/detail?r=1448

The current euca2ools head is compatible with boto-1.8d. euca-register won't work with boto-1.9b. I suspect the boto upstream will fix this in the next release of boto.

The issue is due to an incorrectly documented API call in the EC2 API, which indicates that "Name" is a required parameter, although it obviously breaks backwards compatibility for images that do not boot from EBS.

thanks.

Changed in eucalyptus:
status: New → Won't Fix
Neil Soman (neilsoman) wrote :

Forgot to add that the workaround for this is to use boto-1.8d until the next version of boto is released. Although it is trivial to fix euca-register to set name to 'None' it would be best if the underlying problem were fixed.

thanks.

Scott Moser (smoser) wrote :

So is euca-register completely broken in lucid?
looking just at source, I don't see how it can work, and we obviously need it to.

Garrett Holmstrom (gholms) wrote :

I requested a backport of the fix for Fedora. Maybe it would be wise to do the same for Ubuntu.

https://bugzilla.redhat.com/show_bug.cgi?id=561216

Thierry Carrez (ttx) wrote :

smoser: I think it's a duplicate of bug 504530, which we already handled.

Changed in euca2ools (Ubuntu):
status: New → Invalid
Neil Soman (neilsoman) wrote :

Garrett, thanks for filing the bug against Fedora. Just as a heads up, there might be other outstanding incompatibilities between euca2ools-1.1 and boto-1.9b. The last stable version when euca2ools-1.1 was released was boto-1.8d and the Eucalyptus upstream has not fully tested euca2ools against boto-1.9b. Please let us know if other issues crop up.

I believe Ubuntu has already patched boto in Lucid.

thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.